﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace ChartReproducer
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class ChartPage : Page,IDisposable
    {
        public ChartPage()
        {
            this.InitializeComponent();           
        }

        public void Dispose()
        {
            foreach (var series in MainChart.Series)
                series.ItemsSource = null;   
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Dispose();
            Frame.GoBack();
        }    

    }

    public class HistoricalValue
    {
        public DateTime Date { get; set; }

        public Decimal Open { get; set; }

        public Decimal High { get; set; }

        public Decimal Low { get; set; }

        public Decimal Close { get; set; }

        public long Volume { get; set; }
    }
}
